Subject: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eshel Yaron <[email-masked]>
Date: Mon, 09 Dec 2024 09:56:06 +0100

Hi, 

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Sun, 08 Dec 2024 21:56:33 +0100
>> 
>> Aaron shared a recipe to reproduce this behavior, copied here:
>> 
>> --8<---------------cut here---------------start------------->8---
>> (setq header-line-format "Some header")
>> (face-remap-set-base 'header-line 'highlight)
>> (switch-to-buffer-other-window "new")
>> ;; In new buffer/window:
>> (setq header-line-format "Some header")
>> (other-window 1)
>> ;; In original buffer/window:
>> (set-face-attribute 'default nil :height (+ (face-attribute 'default :height) 10))
>> --8<---------------cut here---------------end--------------->8---
>
> Are you also change the attributes of the default face to cause the
> "spreading"?  If not, please show a recipe.  Because I was unable to
> see this without something like the last line of the recipe, and also
> that line _must_ be in the buffer where header-line is remapped,
> otherwise the effect is not seen.

Yes, I used C-x C-M-= in the buffer in which I remapped header-line.